﻿using System.Text;
namespace DamageAssesment.Api.Locations.Test
{
    public class MockData
    {
        public static async Task<(bool, IEnumerable<Locations.Models.Region>, string)> getOkResponse()
        {
            IEnumerable<Locations.Models.Region> list = new List<Locations.Models.Region>();

            for (int i = 0; i < 10; i++)
            {
                list.Append(new Locations.Models.Region { Id = "R" + i, Abbreviation = "AB" + i, Name = "Region " + i });
            }
            return (true, list, null);
        }


        public static async Task<(bool, Locations.Models.Region, string)> getOkResponse(string Id)
        {
            var surveys = await getOkResponse();
            var survey = surveys.Item2.FirstOrDefault(s => s.Id == Id);
            return (true, survey, null);
        }

        public static async Task<(bool, Locations.Models.Region, string)> getBadRequestResponse()
        {
            return (false, null, "Bad Request");
        }

        public static async Task<(bool, Locations.Models.Region, string)> getNotFoundResponse()
        {
            return (false, null, "Not Found");
        }
        public static async Task<(bool, IEnumerable<Locations.Models.Region>, string)> getNoContentResponse()
        {
            IEnumerable<Locations.Models.Region> list = new List<Locations.Models.Region>();
            return (false, list, null);
        }

        public static async Task<Locations.Models.Region> getInputRegionData()
        {
            return new Locations.Models.Region { Id = "R99", Name = "Region 99", Abbreviation = "A99" };
        }

    }
}
