﻿using DamageAssesment.Api.Locations.Db;

namespace DamageAssesment.Api.Locations.Interfaces
{
    public interface ILocationsProvider
    {
        Task<(bool IsSuccess, IEnumerable<Models.Location> locations, string ErrorMessage)> GetLocationsAsync();
        Task<(bool IsSuccess, Models.Location Location, string ErrorMessage)> GetLocationByIdAsync(string Id);
        Task<(bool IsSuccess, Models.Location Question, string ErrorMessage)> PostLocationAsync(Db.Location Location);
        Task<(bool IsSuccess, string ErrorMessage)> UpdateLocationAsync(Db.Location Location);
        Task<(bool IsSuccess, string ErrorMessage)> DeleteLocationAsync(string Id);
    }
}
